var bilder = new Array(16);
var karten = new Array(16);
var erste = 0;
var zweite = 0;


function raster() {
  document.getElementsByTagName("BODY")[0].appendChild(document.createElement("table"));
  document.getElementsByTagName("BODY")[0].lastChild.setAttribute("id", "brett");

  for (i = 1; i <= 4; i++) {
    document.getElementById("brett").appendChild(document.createElement("tr"));
    document.getElementById("brett").lastChild.setAttribute("height", "116");
    for (i2 = 1; i2 <= 4; i2++) {
      var nummer = (i-1)*4 + i2;
      document.getElementById("brett").lastChild.appendChild(document.createElement("td"));
      var feld = document.getElementById("brett").lastChild.lastChild;
      feld.id = nummer;
      feld.width = "153";
    }
  }
  austeilen();
}

function austeilen() {
	bilder = ["1a.jpg", "2a.jpg", "3a.jpg", "4a.jpg", "5a.jpg", "6a.jpg", "7a.jpg", "8a.jpg", "1b.jpg", "2b.jpg", "3b.jpg", "4b.jpg", "5b.jpg", "6b.jpg", "7b.jpg", "8b.jpg"];
  erste = 0;
  zweite = 0;

  for (i = 1; i <= 16; i++) {
    var feld = document.getElementById(i);
    if (feld.getElementsByTagName("img").length == 0) {
      document.getElementById(i).appendChild(document.createElement("img"));
    }
    var bild = document.getElementById(i).lastChild;
    bild.src = "pics/rueckseite.jpg";
    bild.setAttribute("onclick", "drehen(" + i +")");
    var zufall = Math.floor(Math.random() * bilder.length);
    karten[i-1] = bilder[zufall]
    bilder.splice(zufall, 1);
  }
}

function drehen(nummer) {
  if (zweite == 0) {
	  var bild = document.getElementById(nummer).lastChild;
  	bild.src = "pics/" + karten[nummer - 1];
  	if (erste == 0) {
    	bild.src = "pics/" + karten[nummer - 1];
    	erste = nummer;
  	}
  	else if (erste != nummer) {
    	bild.src = "pics/" + karten[nummer - 1];
    	zweite = nummer;
  		if (karten[erste-1].charAt(karten[erste-1].indexOf(".jpg")-2) == karten[zweite-1].charAt(karten[zweite-1].indexOf(".jpg")-2)) {
     		setTimeout("treffer()", 1000);
    	}
    	else {
     		setTimeout("keintreffer()", 1000);
    	}
  	}
	}
}

function treffer() {
  var feld = document.getElementById(erste);
  feld.removeChild(feld.lastChild);
  var feld = document.getElementById(zweite);
  feld.removeChild(feld.lastChild);
  erste = 0;
  zweite = 0;
}

function keintreffer() {
  var bild = document.getElementById(erste).lastChild;
  bild.src = "pics/rueckseite.jpg";
  var bild = document.getElementById(zweite).lastChild;
  bild.src = "pics/rueckseite.jpg";
  erste = 0;
  zweite = 0;
}
